Public Member Functions | List of all members
librevenge::RVNGPointProperty Class Reference
Inheritance diagram for librevenge::RVNGPointProperty:

## Public Member Functions
| RVNGPointProperty (const double val)
| ~RVNGPointProperty ()
virtual RVNGUnit | getUnit () const
| returns the property unit when possible. More...
virtual RVNGString | getStr () const
virtual RVNGProperty * | clone () const
Public Member Functions inherited from librevenge::RVNGDoubleProperty
| RVNGDoubleProperty (const double val)
| ~RVNGDoubleProperty ()
virtual int | getInt () const
virtual double | getDouble () const
Public Member Functions inherited from librevenge::RVNGProperty
virtual | ~RVNGProperty ()

## Constructor & Destructor Documentation

## ◆ RVNGPointProperty()

librevenge::RVNGPointProperty::RVNGPointProperty | ( | const double | val | ) |

Referenced by clone().

## ◆ ~RVNGPointProperty()

librevenge::RVNGPointProperty::~RVNGPointProperty | ( |  | ) |
| inline

## Member Function Documentation

## ◆ clone()

RVNGProperty * librevenge::RVNGPointProperty::clone | ( |  | ) | const
| virtual

Reimplemented from librevenge::RVNGDoubleProperty.

## ◆ getStr()

RVNGString librevenge::RVNGPointProperty::getStr | ( |  | ) | const
| virtual

Reimplemented from librevenge::RVNGDoubleProperty.

## ◆ getUnit()

virtual RVNGUnit librevenge::RVNGPointProperty::getUnit | ( |  | ) | const
| inline virtual

returns the property unit when possible.

If not, returns RVNG_UNIT_ERROR

Reimplemented from librevenge::RVNGDoubleProperty.

The documentation for this class was generated from the following file:

- RVNGProperty.cpp